Subject: Your Contact Info

From: "Hung Peng Chua" <[email-masked]>
Date: 17 May 2004 01:07:30 -0000

IETF,

I'm updating my address book. Please take a moment to update
your latest contact information. Your information is stored in
my personal address book and will not be shared with anyone
else. 

Thanks,

Click the following link to correct or confirm your information: https://www.plaxo.com/edit_contact_info?r=25770196726-11977359-129946132

Name: IETF
Job Title: 
Company: 
Work E-mail: [email-masked]
Work Phone: 
Work Fax: 
Work Address Line 1: 
Work Address Line 2: 
Work City, State, Zip: 
Mobile Phone: 

Home E-mail: 
Home Phone: 
Home Fax: 
Home Address Line 1: 
Home Address Line 2: 
Home City, State, Zip: 
Birthday: 
My current contact information:

P.S. I've included my Plaxo card below so that you have my current information.  I've also attached a copy as a vCard.

 +-----------------
 | Hung Peng Chua
 | [email-masked]
 | Educator
 | 
 | Temasek Polytechnic
 | 21 Tampines Avenue 1
 | Singapore 529757
 | work: 65-67805434
 | fax: 65-67874247
 +-------------------------------------

____________________________________________________________
This message was sent to you by [email-masked]
via Plaxo.  

To opt out: https://www.plaxo.com/opt_out?r=25770196726-11977359-129946132

Plaxo's Privacy Policy: http://www.plaxo.com/support/privacy